Subject: Re: [PATCH NEXT 3/5] qlcnic: vlan lro support

From: "\"Oleg A. Arkhangelsky\"" <[email-masked]>
Date: Fri, 17 Sep 2010 11:34:46 +0400

17.09.2010, 11:10, "Amit Salecha" <[email-masked]>:
>>  -----Original Message-----
>>  From: Eric Dumazet [mailto:[email-masked]]
>>  Sent: Thursday, September 16, 2010 6:57 PM
>>  To: Amit Salecha
>>  Cc: [email-masked]; [email-masked]; Ameen Rahman; Anirban
>>  Chakraborty
>>  Subject: Re: [PATCH NEXT 3/5] qlcnic: vlan lro support
>>
>>  Le jeudi 16 septembre 2010 à 06:14 -0700, Amit Kumar Salecha a écrit :
>>>  LRO + GRO + vlan rx accleration support, performance increases
>>>  around 20% and cpu utilization reduces around 70% on vlan interface.
>>  Interesting. What is the workload that demonstrates such gains ?
>
> Just to demonstrate decrease in cpu utilization further:
> I have taken numbers with various load. I used iperf application to run tcp traffic on vlan interface.

> There is around 80-90% of reduction in cpu utilization.

I'm wondering, how can this scale further. For example if I have 200K low speed simultaneous
TCP connections (router appliance case with many users). Can GRO give us some gain here?

--
wbr, Oleg.